All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::linalg::mixed_precision_cg_tag Class Reference

A tag for the conjugate gradient Used for supplying solver parameters and for dispatching the solve() function. More...

`#include <mixed_precision_cg.hpp>`

## Public Member Functions

| mixed_precision_cg_tag (double tol=1e-8, unsigned int max_iterations=300, float inner_tol=1e-2f)
| The constructor. More...
double | tolerance () const
| Returns the relative tolerance. More...
float | inner_tolerance () const
| Returns the relative tolerance. More...
unsigned int | max_iterations () const
| Returns the maximum number of iterations. More...
unsigned int | iters () const
| Return the number of solver iterations: More...
void | iters (unsigned int i) const
double | error () const
| Returns the estimated relative error at the end of the solver run. More...
void | error (double e) const
| Sets the estimated relative error at the end of the solver run. More...

## Detailed Description

A tag for the conjugate gradient Used for supplying solver parameters and for dispatching the solve() function.

Definition at line 47 of file mixed_precision_cg.hpp.

## Constructor & Destructor Documentation

viennacl::linalg::mixed_precision_cg_tag::mixed_precision_cg_tag | ( | double | tol = `1e-8`,
|  | unsigned int | max_iterations = `300`,
|  | float | inner_tol = `1e-2f`
| ) |  |

inline

The constructor.

Parameters

  tol | Relative tolerance for the residual (solver quits if ||r|| < tol * ||r_initial||)
  max_iterations | The maximum number of iterations
  inner_tol | Inner tolerance for the low-precision iterations

Definition at line 56 of file mixed_precision_cg.hpp.

## Member Function Documentation

double viennacl::linalg::mixed_precision_cg_tag::error | ( |  | ) | const

inline

Returns the estimated relative error at the end of the solver run.

Definition at line 70 of file mixed_precision_cg.hpp.

void viennacl::linalg::mixed_precision_cg_tag::error | ( | double | e | ) | const

inline

Sets the estimated relative error at the end of the solver run.

Definition at line 72 of file mixed_precision_cg.hpp.

float viennacl::linalg::mixed_precision_cg_tag::inner_tolerance | ( |  | ) | const

inline

Returns the relative tolerance.

Definition at line 61 of file mixed_precision_cg.hpp.

unsigned int viennacl::linalg::mixed_precision_cg_tag::iters | ( |  | ) | const

inline

Return the number of solver iterations:

Definition at line 66 of file mixed_precision_cg.hpp.

void viennacl::linalg::mixed_precision_cg_tag::iters | ( | unsigned int | i | ) | const

inline

Definition at line 67 of file mixed_precision_cg.hpp.

unsigned int viennacl::linalg::mixed_precision_cg_tag::max_iterations | ( |  | ) | const

inline

Returns the maximum number of iterations.

Definition at line 63 of file mixed_precision_cg.hpp.

double viennacl::linalg::mixed_precision_cg_tag::tolerance | ( |  | ) | const

inline

Returns the relative tolerance.

Definition at line 59 of file mixed_precision_cg.hpp.

The documentation for this class was generated from the following file:

- viennacl/linalg/mixed_precision_cg.hpp